Student Information Systems

Student Information Systems

Browser-related issues

Note: When using OCS, be sure to have javascript and cookies enabled, and check that all pop-up blocking software is disabled. If you are using Internet Exlorer, see the instructions for disabling pop-up blocking software in IE.

Supported Browsers

  • Internet Explorer 8.x on Windows (Not compatible with YBB)
  • Firefox/Mozilla 16.x on Windows
  • Google Chrome 11.x on Windows
  • Safari 5.x on Macintosh
  • Safari 6.x on Macintosh (Requires 10.7.4)
  • Firefox/Mozilla 11.x on Macintosh

These browsers were chosen because they are in use by the majority of the student population and they are available at the clusters. Supported browsers are used in the development and testing of SIS and OCS and therefore we can correct problems as they occur. Other browsers and older versions can be used to access these systems, but we cannot guarantee that browsers and versions no longer officially supported by the University will work properly.

If you encounter a problem accessing the Student Information Systems Web site, please let us know. Be sure to include your NetID, the browser name and version, your platform (e.g. Windows XP) as well as the date and time of the problem and a brief description of the error.

You can download a copy of a supported browser (Internet Explorer or Firefox/Mozilla) directly from the vendor site:

IE 8  
Download Microsoft Internet Explorer
  Firefox
Download Mozilla

Supported PDF Readers

We are aware of an incompatibility when viewing PDF documents using the Mac OS X built-in PDF viewer. Yale students, faculty, and staff who experience this problem should download and install Adobe Acrobat Reader 9.x from the Yale Software Library.

Adobe Acrobat Reader 9.x is officially supported by the University.